Summary:       Boot loader for Linux and other operating systems
Name:          lilo
Version:       0.20
Release:       2
ExclusiveArch: i386
Group:         Utilities/System 
Source:        ftp://lrcftp.epfl.ch/pub/linux/local/lilo/lilo-20.tar.gz
Packager:      Tomasz Koczko <kloczek@idk.com.pl>
Requires:      perl
Copyright:     distributable
Buildroot:     /tmp/lilo-root
%description
Lilo is responsible for loading your linux kernel from either a floppy or a
hard drive and giving it control of the system. It can also be used to boot
many other operating systems, including the BSD variants, DOS, OS/2 and NT.

%prep
%setup -n lilo

%build
make
(cd doc; make user.dvi tech.dvi)
dvips doc/user.dvi -o User_Guide.ps
dvips doc/tech.dvi -o Technical_Guide.ps

%install
rm -Rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{boot,sbin,usr/sbin}
install -s lilo $RPM_BUILD_ROOT/sbin
install keytab-lilo.pl $RPM_BUILD_ROOT/usr/sbin
install boot.b chain.b dump.b first.b os2_d.b second.b $RPM_BUILD_ROOT/boot

%post
if [ -f /etc/lilo.conf ]; then
	/sbin/lilo > /dev/null
fi

%files
%doc README CHANGES COPYING INCOMPAT User_Guide.ps Technical_Guide.ps
%attr(400, root, root) /boot/*
%attr(500, root, root) /sbin/lilo
%attr(500, root, root) /usr/sbin/keytab-lilo.pl

%changelog
* Sat Aug 16 1997 Tomasz Koczko <kloczek@idk.com.pl>
- removed runing /sbin/lilo from %install,
- rewritet for using Buildroot,
- added %attr macros in %files (this allow build package from non root
  account),
- QuickInst moved from %doc to /usr/sbin (only root have permission to run
  this very useful script),
- changed permission on /sbin/lilo to 500,
- added Requires: perl (for keytab-lilo.pl).
